Skip to main content
POST
/
api
/
contacts
/
{contact_id}
/
deals
Add deal to contact
curl --request POST \
  --url https://api.morphic.io/api/contacts/{contact_id}/deals \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "role": "<string>",
  "is_primary": false
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "role": "<string>",
  "is_primary": false,
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

X-API-Key
string
header
required

API key (sk_xxx) from Developer Settings. No X-Account-ID needed.

Headers

x-account-id
string | null

Path Parameters

contact_id
string<uuid>
required

Body

application/json

Schema for adding a person to a deal

person_id
string<uuid>
required
role
string | null
is_primary
boolean
default:false

Response

Successful Response

Schema for deal-people link response

id
string<uuid>
required
deal_id
string<uuid>
required
person_id
string<uuid>
required
created_at
string<date-time>
required
role
string | null
is_primary
boolean
default:false
created_by
string<uuid> | null